Subject: Re: A problem with Gnu or Linux or Google Drive

From: Robert Boyer <[email-masked]>
Date: Tue, 14 Mar 2023 00:23:15 -0500

Here are some possibly related strangenesses with Emacs and Linux
on my Lenovo Chromebook while running Emacs.  Maybe my
real problem is with my internet provider Spectrum.

: time nice tar -czf foo.tar working --warning=no-file-shrank
tar: working/nqthm-1992/examples/basic/tmp.lisp: Read error at byte 0,
while reading 182 bytes: Input/output error
tar: working/nqthm-1992/examples/bronstein/bibo_exp.proofs: Read error at
byte 0, while reading 8704 bytes: Input/output error
tar: working/nqthm-1992/examples/flatau/app-c-d-e.lib: Read error at byte
0, while reading 7680 bytes: Input/output error
tar: working/nqthm-1992/examples/fm9001-piton/fm9001/list-rewrites.events:
Read error at byte 0, while reading 2596 bytes: Input/output error
tar: working/nqthm-1992/examples/fm9001-piton/fm9001/tree-number.events:
Read error at byte 0, while reading 2666 bytes: Input/output error
tar: working/nqthm-1992/examples/fm9001-piton/fm9001-replay.proofs: Read
error at byte 0, while reading 10240 bytes: Input/output error

Thanks,

Bob

On Mon, Mar 13, 2023 at 11:58 PM Robert Boyer <[email-masked]>
wrote:

> Mon 13 Mar 2023 11:00:14 PM CDT
>
> Here is a bug report by [email-masked]
>
> Help please.  I seem to have hit a problem running Emacs under Linux on my
> $100 Lenovo
> Chromebook while connected to Google Drive.
>
> While running the standard Linux tar command in a shell buffer in
> Emacs I got this error:
>
> (file-error "Getting attributes" "Transport endpoint is not connected"
> "/mnt/chromeos/GoogleDrive/MyDrive/Linux/")
>
> Immediately after that error I tried the Emacs command dired on the
> troublesome directory and got the following very similar error.
>
> Apparently Emacs is working very well for the most part, but having
> trouble with what looks like a broken connection to Google Drive.
>
> Google Drive seems still accessible, at least now, from my Chromebook,
> e.g., via the Chromebook command called Files.
>
> I suspect there was a break in my connection that might possibly
> be handled by Emacs by trying to make another connection to Google Drive
> as a part of the error handling.  Maybe some waiting and retrying might
> be involved.
>
> (file-error "Reading directory" "Transport endpoint is not connected"
> "/mnt/chromeos/GoogleDrive/MyDrive/Linux/working")
> Debugger entered--Lisp error: (file-error "Reading directory" "Transport
> endpoint is not connected"
> "/mnt/chromeos/GoogleDrive/MyDrive/Linux/working")
>   access-file("/mnt/chromeos/GoogleDrive/MyDrive/Linux/working" "Reading
> directory")
>   insert-directory("/mnt/chromeos/GoogleDrive/MyDrive/Linux/working"
> "--dired -al" t nil)
>   dired-insert-directory("/mnt/chromeos/GoogleDrive/MyDrive/Linux/working"
> "-al" nil t t)
>   dired-readin-insert()
>   dired-readin()
>
> dired-internal-noselect("/mnt/chromeos/GoogleDrive/MyDrive/Linux/working"
> nil)
>   dired-noselect("/mnt/chromeos/GoogleDrive/MyDrive/Linux/working" nil)
>   dired("/mnt/chromeos/GoogleDrive/MyDrive/Linux/working")
>   gw()
>   funcall-interactively(gw)
>   call-interactively(gw record nil)
>   command-execute(gw record)
>   execute-extended-command(nil "gw" "gw")
>   funcall-interactively(execute-extended-command nil "gw" "gw")
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)
>
> I installed my Emacs with the following command to the Linux Terminal
> program supporting the shell
> that was available after I used the very simple Linux installation
> instructions in the Settings command
> on my Lenovo Chromebook.
>
>    sudo apt-get install emacs
>
> Thanks so much for any help you can give.  I suspect I have been getting
> bitten by mysterious
> errors that are reminiscent of what I am now reporting.
>
> I am utterly clueless about what to do because it happens seemingly
> randomly.  I doubt it is
> not a problem with tar or dired but rather something much deeper.
>
> Fortunately this time I got the above bug reports on errors from Emacs.
>
> I have been using Emacs constantly since about 1971 and just love it.  I
> have met Richard
> Stallman several times and invited him to speak to the Computer Sciences
> Department
> at the University of Texas at Austin, hence my cc to rms.
>
> Robert Stephen Boyer
> [email-masked]
>
>